Summary: Add shells in /usr/local/bin to /etc/shells
Name: fermi-d0-shells
Version: 1
Release: 1
Copyright: FermiLab
Group: FermiLab/D0
URL: http://www-d0.fnal.gov/d0unix/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermilab
Packager: Simon Epsteyn
Requires: /bin/sh
BuildRoot: /var/tmp/%{name}-buildroot

%description

Allow users with NFS mounted shells to login

#%prep

#%build

%install

#echo $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

# Pre-install script
#%pre

# Post-install script
%post

## shells

if [ -e /etc/shells ]; then
	cp -f /etc/shells /etc/shells.d0sav
	chmod -f 644 /etc/shells.d0sav
fi

cat <<EOF >>/etc/shells
/usr/local/bin/sh
/usr/local/bin/ksh
/usr/local/bin/bash
/usr/local/bin/csh
/usr/local/bin/tcsh
EOF

chmod -f 644 /etc/shells

# Pre-uninstall script
#%preun

# Post-uninstall script
%postun

## shells

if [ -e /etc/shells.d0sav ]; then
	mv -f /etc/shells.d0sav /etc/shells
	chmod -f 644 /etc/shells
fi

# Files owned by this package
%files

%defattr(-,root,root)
